# Create USMC Migration Plan - CreateUSMCPlan

## Overview

Create USMC Migration Plan






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUSMCPlan`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **Name** | string | Name, length cannot exceed 128 |**Yes**|
| **SourceVendor** | string | Migration source, possible values "Ali, Tecent, IDC, Huawei, Amazon"  |**Yes**|
| **SourceRegion** | string | Migration Source Region |**Yes**|
| **TargetRegion** | string | Migrate Target Region |**Yes**|
| **NetworkType** | string | Network type, 10: Public network, 20: Private network, 30: Dedicated line. Default 10: Public network |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | [*CreatePlanResData*](#createplanresdata) | CreatePlanResData |**Yes**|

#### Data Model


#### CreatePlanResData

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **PlanId** | string | Migration Plan ID |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=CreateUSMCPlan
&Name=rmvfupfL
&SourceVendor=sLaorqHq
&SourceRegion=NMRiCsGz
&TargetRegion=LIzZTRLB
&NetworkType=dLNBcUHK
&ProjectId=GODKXUnL
&ProjectId=RhLwgeXu
```

### Response Example
    
```json
{
  "Action": "CreateUSMCPlanResponse",
  "Data": "aWdcVAmx",
  "Message": "yCphtYrj",
  "RetCode": 0
}
```





